Page MenuHomeFreeBSD

Create PCI_MATCH and pci_match_device
ClosedPublic

Authored by imp on Jun 24 2018, 6:59 PM.

Details

Summary

Don't use generic PCI_VENDOR and PCI_PRODUCT macros. Prefix them with BKTR_ to avoid possible conflicts.

Create a covenience function to match PCI device IDs. It's about 15
years overdue.

Switch to using new PCI_MATCH stuff.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp created this revision.Jun 24 2018, 6:59 PM
imp updated this revision to Diff 44395.Jun 24 2018, 7:05 PM
  • Create PCI_MATCH and pci_match_device
  • Switch to using new PCI_MATCH stuff.
adrian added a subscriber: adrian.Jun 24 2018, 7:38 PM

yaaaaayayaya do it~!

imp added inline comments.Jun 25 2018, 7:32 PM
sys/dev/ath/if_ath_pci_devlist.h
31 ↗(On Diff #44395)

Need to mark the module still for PNP info

sys/dev/pci/pci.c
6248 ↗(On Diff #44395)

This needs comments and a man page.

rpokala added inline comments.
sys/dev/ath/if_ath_pci.c
85 ↗(On Diff #44395)

If this is ath-specific, please prefix with ATH_ ; if not, shouldn't it be in one of the PCI files? (Same comments for PCI_DEVICE_SUB()

sys/dev/pci/pci.c
6249 ↗(On Diff #44395)

"elt", "nelt" -- ltrs rn't xpensv nymr.

imp updated this revision to Diff 44573.Jun 28 2018, 5:52 AM

update, per jhb feedback

  • Create PCI_MATCH and pci_match_device
  • Switch to using new PCI_MATCH stuff.
chuck added a subscriber: chuck.Jun 28 2018, 4:48 PM
chuck added inline comments.Jun 28 2018, 4:52 PM
sys/dev/pci/pcivar.h
310 ↗(On Diff #44573)

Does this universally ditch the device description?

This revision was not accepted when it landed; it landed in state Needs Review.Jul 7 2018, 3:25 PM
This revision was automatically updated to reflect the committed changes.